--- old/usr/src/man/man3c/ctype.3c	Sun Jun 29 11:51:58 2014
+++ new/usr/src/man/man3c/ctype.3c	Sun Jun 29 11:51:58 2014
@@ -1,5 +1,5 @@
 '\" te
-.\" Copyright 2013 Garrett D'Amore <garrett@damore.org>
+.\" Copyright 2014 Garrett D'Amore <garrett@damore.org>
 .\" Copyright 1989 AT&T.  Copyright (c) 1992, X/Open Company Limited  All Rights Reserved.  Portions Copyright (c) 2005, Sun Microsystems, Inc.  All Rights Reserved.
 .\" Sun Microsystems, Inc. gratefully acknowledges The Open Group for permission to reproduce portions of its copyrighted documentation. Original documentation from The Open Group can be obtained online at
 .\" http://www.opengroup.org/bookstore/.
@@ -8,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH CTYPE 3C "Sep 18, 2013"
+.TH CTYPE 3C "Jun 27, 2014"
 .SH NAME
 ctype, isalpha, isalnum, isascii, isblank, iscntrl, isdigit, islower,
 isprint, isspace, isupper, ispunct, isgraph, isxdigit, isalpha_l,
@@ -21,124 +21,99 @@
 
 \fBint\fR \fBisalpha\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisalnum\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisascii\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisblank\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiscntrl\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisdigit\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisgraph\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBislower\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisprint\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBispunct\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisspace\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisupper\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisxdigit\fR(\fBint\fR \fIc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisalpha_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisalnum_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisblank_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBiscntrl_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisdigit_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisgraph_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBislower_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisprint_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBispunct_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisspace_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .LP
 .nf
 \fBint\fR \fBisupper_l\fR(\fBint\fR \fIc\fR, \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .SH DESCRIPTION
-.sp
 .LP
 These functions classify character-coded integer values. Each is a
 predicate returning non-zero for true, \fB0\fR for false. The behavior
@@ -149,7 +124,6 @@
 or in a locale where character type information is not defined,
 characters are classified according to the rules of the \fBUS-ASCII\fR
 7-bit coded character set.
-.sp
 .LP
 The functions \fBisalnum_l()\fR, \fBisalpha_l()\fR, \fBisblank_l()\fR,
 \fBiscntrl_l\fR, \fBisdigit_l()\fR, \fBislower_l()\fR,
@@ -158,7 +132,6 @@
 the '\fB_l\fR' prefix, except that instead of acting on the current
 locale, that perform the test on the locale specified in the argument
 \fIloc\fR.
-.sp
 .LP
 The \fBisascii()\fR macro is defined on all integer values. The rest are
 defined only where the argument is an \fBint\fR, the value of which is
@@ -315,36 +288,30 @@
 .RE
 
 .SH RETURN VALUES
-.sp
 .LP
 If the argument to any of the character handling macros is not in the domain of
 the function, the result is undefined. Otherwise, the macro or function returns
 non-zero if the classification is \fBTRUE\fR and \fB0\fR if the classification
 is \fBFALSE\fR.
-.SH USAGE
-.sp
-.LP
-These macros or functions can be used safely in multithreaded applications, as
-long as \fBsetlocale\fR(3C) is not being called to change the locale.
 .SH ATTRIBUTES
 .sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
-l l
-l l .
+c | c
+l | l .
 ATTRIBUTE TYPE	ATTRIBUTE VALUE
+_
 CSI	Enabled
+_
 Interface Stability	Standard
-MT-Level	MT-Safe with exceptions
+_
+MT-Level	MT-Safe
 .TE
 
 .SH SEE ALSO
-.sp
 .LP
-\fBsetlocale\fR(3C), \fBstdio\fR(3C), \fBascii\fR(5), \fBenviron\fR(5),
+\fBnewlocale\fR(3C), \fBsetlocale\fR(3C), \fBuselocale\fR(3C),
+\fBstdio\fR(3C), \fBascii\fR(5), \fBenviron\fR(5),
 \fBstandards\fR(5)