--- old/usr/src/man/man3c/strptime.3c	Sun Jun 29 11:52:22 2014
+++ new/usr/src/man/man3c/strptime.3c	Sun Jun 29 11:52:22 2014
@@ -8,7 +8,7 @@
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH STRPTIME 3C "Aug 27, 2007"
+.TH STRPTIME 3C "Jun 27, 2014"
 .SH NAME
 strptime, strptime_l \- date and time conversion
 .SH SYNOPSIS
@@ -18,12 +18,16 @@
 
 \fBchar *\fR\fBstrptime\fR(\fBconst char *restrict\fR \fIbuf\fR,
      \fBconst char *restrict\fR \fIformat\fR, \fBstruct tm *restrict\fR \fItm\fR);
+.fi
+.LP
+.nf
+#include <time.h>
+#include <xlocale.h>
 
 \fBchar *\fR\fBstrptime_l\fR(\fBconst char *restrict\fR \fIbuf\fR,
      \fBconst char *restrict\fR \fIformat\fR, \fBstruct tm *restrict\fR \fItm\fR,
      \fBlocale_t\fR \fIloc\fR);
 .fi
-
 .SS "Non-zeroing Behavior"
 .LP
 .nf
@@ -35,7 +39,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBstrptime()\fR function converts the character string pointed to by
 \fIbuf\fR to values which are stored in the \fBtm\fR structure pointed to by
@@ -42,7 +45,6 @@
 \fItm\fR, using the format specified by \fIformat\fR. The \fBstrptime_l()\fR
 function is identical to \fBstrptime()\fR except instead of acting in the
 current locale, it acts in the locale specified by the argument \fIloc\fR.
-.sp
 .LP
 The \fIformat\fR argument is composed of zero or more conversion
 specifications. Each conversion specification is composed of a "%" (percent)
@@ -51,12 +53,10 @@
 \fBisspace\fR(3C)) may precede or follow a conversion specification. There must
 be white-space or other non-alphanumeric characters between any two conversion
 specifications.
-.sp
 .LP
 A non-zeroing version of \fBstrptime()\fR, described below under \fBNon-zeroing
 Behavior\fR, is provided if \fB_STRPTIME_DONTZERO\fR is defined.
 .SS "Conversion Specifications"
-.sp
 .LP
 The following conversion specifications are supported:
 .sp
@@ -366,7 +366,6 @@
 .RE
 
 .SS "Modified Conversion Specifications"
-.sp
 .LP
 Some conversion specifications can be modified by the \fBE\fR and \fBO\fR
 modifier characters to indicate that an alternate format or specification
@@ -531,7 +530,6 @@
 .RE
 
 .SS "General Specifications"
-.sp
 .LP
 A conversion specification that is an ordinary character is executed by
 scanning the next character from the buffer. If the character scanned from the
@@ -543,7 +541,6 @@
 characters or any combination is executed by scanning up to the first character
 that is not white space (which remains unscanned), or until no more characters
 can be scanned.  White space is defined by \fBisspace\fR(3C).
-.sp
 .LP
 Any other conversion specification is executed by scanning characters until a
 character matching the next specification is scanned, or until no more
@@ -560,7 +557,6 @@
 request that the input date or time specification be in a specific language by
 setting the \fBLC_TIME\fR category using \fBsetlocale\fR(3C).
 .SS "Non-zeroing Behavior"
-.sp
 .LP
 In addition to the behavior described above by various standards, the Solaris
 implementation of \fBstrptime()\fR provides the following extensions. These may
@@ -583,7 +579,6 @@
 will use some values in the input \fBtm struct\fR to recalculate the date and
 re-assign the appropriate members of the \fBtm struct\fR.
 .RE
-.sp
 .LP
 The following describes extended features regardless of whether
 \fB_STRPTIME_DONTZERO\fR is defined or not defined:
@@ -603,7 +598,6 @@
 month and day of month are not given, \fBstrptime()\fR calculates and sets
 \fBtm_mon\fR, \fBtm_mday\fR, \fBtm_wday\fR, and \fBtm_year\fR.
 .RE
-.sp
 .LP
 The following describes extended features when \fB_STRPTIME_DONTZERO\fR is not
 defined:
@@ -614,7 +608,6 @@
 If \fB%C\fR is specified and \fB%y\fR is not specified, \fBstrptime()\fRassumes
 0 as the year offset, then calculates the year, and assigns \fBtm_year\fR.
 .RE
-.sp
 .LP
 The following describes extended features when \fB_STRPTIME_DONTZERO\fR is
 defined:
@@ -660,17 +653,14 @@
 \fBstrptime()\fR will subtract 12 hours and update \fBtm_hour\fR.
 .RE
 .SH RETURN VALUES
-.sp
 .LP
 Upon successful completion, \fBstrptime()\fR returns a pointer to the character
 following the last character parsed. Otherwise, a null pointer is returned.
 .SH USAGE
-.sp
 .LP
 Several "same as" formats, and the special processing of white-space characters
 are provided in order to ease the use of identical  \fIformat\fR strings for
 \fBstrftime\fR(3C) and \fBstrptime()\fR.
-.sp
 .LP
 The \fBstrptime()\fR function tries to calculate \fBtm_year\fR, \fBtm_mon\fR,
 and \fBtm_mday\fR when given incomplete input.  This allows the \fBstruct tm\fR
@@ -681,12 +671,8 @@
 in \fBtm_yday\fR when \fB%j\fR is specified without otherwise specifying a
 month and day within month.
 .SH ATTRIBUTES
-.sp
 .LP
 See \fBattributes\fR(5) for descriptions of the following attributes:
-.sp
-
-.sp
 .TS
 box;
 c | c
@@ -695,16 +681,20 @@
 _
 CSI	Enabled
 _
-Interface Stability	Committed
+Interface Stability	See below.
 _
 MT-Level	MT-Safe
 _
-Standard	See \fBstandards\fR(5).
+Standard	See \fBstandards\fR(5) for \fBstrptime()\fR.
 .TE
 
+.LP
+The \fBstrptime()\fR function is Standard.  The \fBstrptime_l()\fR function
+is Uncommitted.
 .SH SEE ALSO
-.sp
 .LP
 \fBctime\fR(3C), \fBgetdate\fR(3C), \fBisspace\fR(3C), \fBmktime\fR(3C),
-\fBsetlocale\fR(3C), \fBstrftime\fR(3C), \fBattributes\fR(5), \fBenviron\fR(5),
+\fBnewlocale\fR(3C),
+\fBsetlocale\fR(3C), \fBstrftime\fR(3C), \fBuselocale\fR(3C),
+\fBattributes\fR(5), \fBenviron\fR(5),
 \fBstandards\fR(5)